@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

/* css reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* header section  */
/* ---------->>>>>>>> navbar / header -- container */
.navbar {
  backdrop-filter: blur(10px);
  font-family: "Roboto", "Sans serif";
  display: flex;
  justify-content: space-between;
  align-items: stretch;
  padding: 1.125rem 2.5rem;
  position: fixed;
  top: 0;
  z-index: 999;
  width: 100%;
  box-shadow: 0 0 1px 0.15px rgb(139, 137, 137);
}

/* main coditas logo */
.logo {
  width: 5rem;
  fill: white;
}

/* menu list - list nav-items*/
.menu-list {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

/* nav-item */
.nav-item {
  font-size: 0.875rem;
  list-style-type: none;
  padding: 0 0.75rem;
  /* border: 2px solid red; */
}

.nav-item a {
  text-decoration: none;
  color: white;
}

/* main-section */
.main {
  height: 100dvh;
  background: linear-gradient(90deg, rgba(5, 5, 5, 0.756), rgba(0, 0, 0, 0.25)),
    url("../images/businessTeamWorking-e989d864.png");
  color: white;
  background-repeat: no-repeat;
  background-size: cover;
  padding: 8.5rem 2.5rem 5rem 2.5rem;
}

/* section-heading */
.main-section-heading {
  font-family: "Montserrat";
  font-size: 3rem;
  font-weight: 600;
  font-style: normal;
  margin: 2.25rem 0;
  letter-spacing: 2px;
}

/* main-section-heading */
.main-section-description {
  font-size: 1.25rem;
  margin: 2.25rem 0 2.75rem 0;
  width: 62%;
  line-height: 2rem;
  overflow-wrap: normal;
  font-family: "Roboto", "Sans serif";
}

/* contact-btn main section */
.contactBtn {
  height: 3.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: "Roboto";
  font-style: normal;
  font-weight: 700;
  font-size: 0.875rem;
  line-height: 145%;
  color: #fff;
  letter-spacing: 0.00438rem;
  padding: 1rem 1.5rem;
  border-radius: 0.5rem;
  border: none;
  background-color: #2c74d6;
  gap: 0.5rem;
}

/* contact-btn text */
.contact-txt {
  font-family: "Roboto";
  font-style: normal;
  font-weight: 700;
  font-size: 0.875rem;
  line-height: 145%;
  color: #fff;
}

/* section 2 clients */
.section2-clients {
  height: 90vh;
  padding: 1.125rem 2.5rem;
}

/* section headings */
.section-heading {
  margin-top: 5.75rem;
  font-size: 4rem;
  width: min-content;
  font-family: "Montserrat";
  font-weight: 300;
}

/* section descriptions */
.section-description {
  font-family: "Roboto";
  padding-top: 1.75rem;
  line-height: 1.5rem;
  padding-bottom: 2rem;
  width: 50%;
  color: rgb(188, 185, 185);
}

/* clients logos in section 2 */
.clients-logo-container {
  display: flex;
  margin-top: 2rem;
  letter-spacing: 2px;
  justify-content: space-between;
}

/* section 3 our services */
.section3-our-services {
  height: 137.5vh;
  background: #07172d;
  border: 1px solid;
  padding: 1.125rem 2.5rem;
}

/* section 3 heading color */
.section3-our-services .section-heading {
  color: white;
  width: max-content;
}

/* services container - main containing block */
.services-container {
  display: flex;
  flex-wrap: wrap;
  margin: 0 auto;
  gap: 1rem;
}

/* service - card */
.card {
  position: relative;
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  gap: 2rem;
  padding: 1.5rem;
  text-align: left;
  border-radius: 0.25rem;
  color: #fff;
  background-color: #07172d;
  box-shadow: 0 1.5rem 2.125rem #0303033d;
  z-index: 100;
  width: 23.95%;
}
/* overlay - border design using masking ::after psuedo class */
.card:after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  border-radius: 0.25rem;
  padding: 1px;
  background: linear-gradient(
    to top,
    rgba(44, 116, 214, 0),
    rgba(44, 116, 214, 0.3215686275)
  );
  -webkit-mask: linear-gradient(#07172d 0 0) content-box,
    linear-gradient(#07172d 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  pointer-events: none;
}

/* inner container of the content  */
.content {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

/* main heading of a card */
.service-heading {
  font-family: Montserrat;
  font-size: 20px;
  font-weight: 700;
}

/* card description */
.service-card-desc {
  margin-top: 0;
  color: #bbb;
  font-family: Roboto;
  font-size: 14px;
  font-weight: 400;
  line-height: 140%;
}

/* view details block */
.btn-view-details {
  display: flex;
  align-items: flex-end;
  flex: 1;
}

/* view details anchor tag */
.details-link {
  text-decoration: none;
  color: #2c74d6;
  font-family: Roboto;
  font-size: 14px;
  font-weight: 700;
}

/* section 4 - our work */
.section4-ourwork {
  /* height: 300vh; */
  padding: 17.5vh 2.5rem 1.25rem 2.5rem;
}

.section4-ourwork .section-heading {
  width: max-content;
}
.section4-ourwork .section-description {
  color: black;
}

.work-cards-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 1.5rem;
}

.work-card {
  width: fit-content;
  border-radius: 0.5rem;
  border-bottom: 0.25rem solid #2c74d6;
  box-shadow: 0 0.25rem 0.5rem #00000014;
  color: rgb(88, 88, 88);
}

.large-work-card {
  display: flex;
  justify-content: center;
  align-items: center;
  grid-area: 1 / 1 / 2 / 3;

  background-color: #2c74d6;
  color: white;
  padding: 1rem;
  padding-left: 0;
}

.image-container {
  position: relative;
}

.work-card-content-box {
  padding: 1.5rem;
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  flex-wrap: wrap;
}

.work-card-image {
  height: 10rem;
  width: 100%;
  border-top-left-radius: 0.5rem;
  border-top-right-radius: 0.5rem;
  clip-path: polygon(
    0 0,
    100% 0,
    100% calc(100% - 1.625rem),
    calc(100% - 1.625rem) 100%,
    0 100%
  );
}

.large-work-card-image {
  width: 16.755rem;
  height: 30rem;
  border-top-right-radius: 1.5rem;
  border-bottom-right-radius: 1.5rem;
}

.image-shadow {
  border-radius: var(--xlarge, 1.5rem);
  background: var(--colors-ada-theme-key-colors-tertiary, #235dab);
  position: relative;
  top: 2.25rem;
  width: 17.75rem;
  height: calc(100% - 4.5rem);
}

.large-work-card-heading {
  font-family: Montserrat;
  font-style: normal;
  font-weight: 700;
  font-size: 1.5rem;
  line-height: 120%;
  color: #fff;
  letter-spacing: 0.5px;
}

.work-card-content-box {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  flex-direction: column;
  gap: 2rem;
  flex-grow: 1;
}
.work-card-text-content {
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  gap: 0.5rem;
}
.large-work-card-content-box {
  padding: 0.5rem;
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  flex-wrap: wrap;
}
.work-card-heading {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 700;
  font-size: 1rem;
  line-height: 120%;
  color: #111;
  letter-spacing: 0.5px;
  cursor: pointer;
}

.work-card-desc,
.work-card-desc-large {
  max-height: 3.6em;
  overflow: hidden;
  word-wrap: break-word;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  font-family: Roboto;
  font-style: normal;
  font-weight: 400;
  font-size: 0.875rem;
  line-height: 140%;
  color: #555;
  letter-spacing: 0.25px;
}
.work-card-desc-large {
  color: white;
}

.large-work-keywords,
.work-keywords {
  margin-top: 1rem;
  display: flex;
  flex-direction: row;
  gap: 0.5rem;
  flex-wrap: wrap;
}

.keywords {
  font-family: Roboto;
  font-style: normal;
  font-weight: 500;
  font-size: 0.75rem;
  line-height: 130%;
  color: #555;
  letter-spacing: 0.25px;
  margin: 0;
  border-radius: 1rem;
  padding: 0.375rem 0.75rem;
  width: fit-content;
  border: 1px solid rgb(214, 211, 211);
}
.large-work-keywords .keywords {
  color: white;
}

.readmore {
  font-family: "Roboto";
  font-style: normal;
  font-weight: 700;
  font-size: 0.875rem;
  line-height: 150%;
  color: #2c74d6;
  letter-spacing: 0.5px;
  text-decoration: none;
}

.large-card-readmore {
  color: white;
}

.work-numbers {
  font-weight: 400;
  color: black;
  font-size: 4rem;
  font-family: "montserrat";
}
.work-titles {
  font-size: 1.5rem;
  font-weight: 500;
  color: black;
  font-family: "montserrat";
}

.work-card-desc {
  color: black;
  font-size: 1rem;
}

.work-card:last-child {
  background: linear-gradient(
    rgba(244, 170, 109, 0.5),
    rgba(250, 158, 148, 0.201)
  );
}

/* section5 technologies*/
.section5-technologies {
  height: 100vh;
  background: #07172d;
  padding: 1.125rem 2.5rem;
}
.section-content {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.section5-technologies {
  color: white;
}
.section5-technologies .section-description {
  color: white;
}

.technology_logos {
  grid-row: 3;
  grid-column: 1 / 12;
  display: flex;
  gap: 1rem;
  flex-wrap: wrap;
  max-width: 55.25rem;
  width: 100%;
}

.logo_circle_container {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: row;
  border: 2px solid #333;
  border-radius: 50%;
  width: 5.25rem;
  height: 5.25rem;
}

.tooltip-container {
  position: relative;
}

.tooltip-inner-container {
  position: absolute;
  top: -34px;
  left: -18px;
}

.tooltip-line {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 126px;
  height: 24px;
  border-radius: 2rem;
  background-color: #fab914;
  font-family: Montserrat;
  font-style: normal;
  font-weight: 500;
  font-size: 12px;
  line-height: 100%;
  color: #111;
  letter-spacing: 0.25px;
}

.triangle {
  width: 0;
  height: 0;
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  margin-left: 50px;
  border-top: 10px solid #fab914;
}

.tooltip-container .logo_circle_container {
  background: linear-gradient(#07172d, #07172d) padding-box,
    linear-gradient(to bottom, #ffc837, #ff8008) border-box;
  border-radius: 50em;
  border: 2px solid transparent;
}

/* section6 we are hiring */
.section6 {
  padding: 1.125rem 2.5rem;
  display: flex;
}
.hiring-content {
  position: relative;
  top: 8rem;
  width: 50vw;
  margin-right: 2rem;
}
.hiring-content .section-heading {
  width: fit-content;
  display: flex;
  flex-direction: column;
}
.hiring-content .section-description {
  color: grey;
  width: 100%;
}

.hiring-card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  /* border: 1px solid red; */
}

.left {
  float: left;
  width: 45%;
  position: relative;
  top: 5rem;
  left: -2rem;
}

.right {
  left: -2rem;
  width: 45%;
  float: right;
  position: relative;
  top: 10rem;
}
/* openings card */
.openings {
  width: 17.5rem;
  padding: 1.5rem;
  margin: 1rem 0;
  color: #fff;
  border-radius: 0.25rem;
  background: #e35e58;
  box-shadow: 0 24px 34px #e35e583d;
}

.openings-count {
  font-family: Montserrat;
  font-style: normal;
  font-weight: 400;
  font-size: 4rem;
  line-height: 120%;
  color: #fff;
  letter-spacing: 0.5px;
}

.openings-heading {
  font-family: Montserrat;
  font-style: normal;
  font-weight: 700;
  font-size: 1.5rem;
  line-height: 120%;
  color: #fff;
  letter-spacing: 0.5px;
}

.opening-description-para {
  font-family: "Roboto";
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: #fff;
  letter-spacing: 0.25px;
  padding: 1.5rem 0 2rem;
}

.openings .openingsspan {
  text-decoration: none;
  color: #fff;
  font-family: "Roboto";
  font-style: normal;
  font-weight: 500;
}

/* recruiters card */
.hiring-card {
  margin: 1rem 0;
  width: 17.5rem;
  padding: 1.5rem;
  color: #000;
  border-radius: 0.25rem;
  background: #fff;
  box-shadow: 0 24px 34px #6a66663d;
}

.heading {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 700;
  font-size: 1.25rem;
  line-height: 120%;
  letter-spacing: 0.5px;
}

.description-para {
  font-family: "Roboto";
  font-style: normal;
  font-weight: 400;
  font-size: 0.875rem;
  line-height: 150%;
  letter-spacing: 0.25px;
  padding: 1.5rem 0 2rem;
}

.hiring-card span {
  text-decoration: none;
  font-family: "Roboto";
  font-style: normal;
  color: #2c74d6;
  font-weight: 500;
}

/* our offices section */
.section7 {
  margin-top: 10rem;
  background: #07172d;
  color: white;
  font-family: "roboto";
  padding: 1.125rem 2.5rem;
  height: 100vh;
}

.section7 .section-content .section-heading {
  width: fit-content;
  padding-bottom: 2.5rem;
}

.office {
  display: flex;
  gap: 0;
  align-items: first baseline;
}

.flag {
  width: 75%;
  border-radius: 0.35rem;
}

.office_name {
  font-weight: 1rem;
}

.office_address {
  color: rgb(180, 175, 175);
  padding-top: 1rem;
  font-size: 0.85rem;
}

.line {
  background-color: rgb(113, 110, 110);
  padding: 0.25px;
  margin-top: 0.5rem;
  margin-bottom: 0;
}

.office_address2 {
  color: rgb(180, 175, 175);
  padding-top: 1rem;
  font-size: 0.85rem;
  margin-top: -.35rem;
}

.map{
  /* float: left; */
  position: relative;
  top: -22.5rem;
  left: 25rem;
}